メインコンテンツまでスキップ

List Invoices (V2)

Lists all invoices in the organization to which the current user belongs. The current user should be an organization owner or a billing admin.

GET/v2/invoices
接続エンドポイント

https://api.cloud.zilliz.com

NaN
shell
export BASE_URL="https://api.cloud.zilliz.com"
パラメータ
Authorizationstringheader必要

認証トークンは、適切な権限を持つAPIキーである必要があります。

値の例: Bearer {{TOKEN}}
pageSizeintegerquery

各ページで返すアイテム数。

値の例: 10
currentPageintegerquery

返すページ番号。

値の例: 1
bash
export TOKEN="YOUR_API_KEY"

curl --request GET \
--url "${BASE_URL}/v2/invoices" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
レスポンス

現在のユーザーが所属する組織内の請求書レコードの一覧を返します。

請求書の一覧を返します。

codeinteger

レスポンスコード。

dataarray
[]dataobject
countinteger

請求書の合計件数。

currentPageinteger

現在のページ番号。

pageSizeinteger

各ページのレコード数。

invoicesarray
[]invoicesobject
idstring

請求書のID。

orgIdstring

請求書が所属する組織のID。

periodStartstring

請求期間の開始時刻。

periodEndstring

請求期間の終了時刻。

invoiceDatestring

請求書が発行された日付。

dueDatestring

請求書の支払期限。

currencystring

請求書の通貨。

statusstring

請求書のステータス。

usageAmountnumber

請求書に記録された合計金額。

creditsAppliednumber

請求書に適用されたクレジットの合計。合計金額から差し引く必要があります。

alreadyBilledAmountnumber

すでに請求済みの合計金額。

subtotalnumber

請求書の小計。合計金額から適用されたクレジットを差し引いた金額です。

taxnumber

請求書の税額。

totalnumber

請求書の合計金額。小計に税を加算した金額です。

advancePayAmountnumber

現在のユーザーが所属する組織の前払い金額。未払いの請求書の支払いに使用できます。

amountDuenumber

請求書の請求額。前払い金額からすでに請求済みの合計金額を差し引いた金額です。

エラーメッセージを返します。

codeinteger

レスポンスコード。

messagestring

エラーメッセージ。

Successjson
{
"code": 0,
"data": {
"count": 1,
"currentPage": 1,
"pageSize": 10,
"invoices": [
{
"id": "inv-12312io23810o291",
"orgId": "org-xxxxxx",
"periodStart": "2024-01-01T00:00:00Z",
"periodEnd": "2024-02-01T00:00:00Z",
"invoiceDate": "2024-02-01T00:00:00Z",
"dueDate": "2024-02-01T00:00:00Z",
"currency": "USD",
"status": "unpaid",
"usageAmount": 52400,
"creditsApplied": 12400,
"alreadyBilledAmount": 0,
"subtotal": 40000,
"tax": 5000,
"total": 45000,
"advancePayAmount": 0,
"amountDue": 45000
}
]
}
}
Ctrl I